Subject: bug#62194: 30.0.50; Two Eglot-over-Tramp tests are failing on master, passing on emacs-29

From: Michael Albinus <[email-masked]>
Date: Thu, 16 Mar 2023 18:35:34 +0100

João Távora <[email-masked]> writes:

Hi João,

>> Honestly, I'm lost with all the patches back forth and back. Could you
>> pls show me the change you propose, based on the current master state? 
>
> OK.  Based on the current master state, I'm sending you 4 (four
> patches).  I known it looks a lot, but is quite simple.

I've applied the 4 patches. As expected, eglot-tests, tramp-tests, and
filenotify-tests run successfully.

> * bug#61350 should be fixed -- even without the Eglot workaround.  Let
>   me know if you need help testing this (I have a nifty dockerfile and
>   some command-line incantations that make testing very easy).

The example given by Thomas blocks, again. So we are back to the
beginning, aren't we?

> João

Best regards, Michael.